# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "seekstorm"
version = "2.3.2"
authors = ["Wolf Garbe <wolf.garbe@seekstorm.com>"]
build = false
exclude = [
    "assets/*.png",
    "assets/*.jpg",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Search engine library & multi-tenancy server"
homepage = "https://seekstorm.com"
documentation = "https://docs.rs/seekstorm/"
readme = "README.md"
keywords = [
    "search",
    "information",
    "retrieval",
]
categories = [
    "database-implementations",
    "data-structures",
]
license = "Apache-2.0"
repository = "https://github.com/SeekStorm/SeekStorm"

[package.metadata.docs.rs]
rustc-args = [
    "-C",
    "target-cpu=native",
]
rustdoc-args = [
    "-C",
    "target-cpu=native",
]

[features]
default = [
    "zh",
    "pdf",
    "gx",
]
gx = ["gxhash"]
pdf = ["pdfium-render"]
zh = []

[lib]
name = "seekstorm"
path = "src/seekstorm/lib.rs"

[[bin]]
name = "seekstorm_server"
path = "src/seekstorm_server/main.rs"

[[test]]
name = "test"
path = "tests/test.rs"

[dependencies.ahash]
version = "0.8.12"
features = ["serde"]

[dependencies.aho-corasick]
version = "1.1.4"

[dependencies.async-recursion]
version = "1.1.1"

[dependencies.base64]
version = "0.22.1"

[dependencies.chrono]
version = "0.4.44"

[dependencies.colored]
version = "3.1.1"

[dependencies.crossbeam-channel]
version = "0.5.15"

[dependencies.csv]
version = "1.4.0"

[dependencies.ctrlc]
version = "3.5.2"

[dependencies.finl_unicode]
version = "1.4.0"

[dependencies.futures]
version = "0.3.32"

[dependencies.http-body-util]
version = "0.1.3"

[dependencies.hyper]
version = "1.8.1"
features = [
    "full",
    "server",
]

[dependencies.hyper-util]
version = "0.1.20"
features = [
    "server",
    "tokio",
    "http1",
    "http2",
]

[dependencies.indexmap]
version = "2.13.0"
features = ["serde"]

[dependencies.itertools]
version = "0.14.0"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.lz4_flex]
version = "0.12.0"

[dependencies.memmap2]
version = "0.9.10"

[dependencies.num]
version = "0.4.3"

[dependencies.num-derive]
version = "0.4.2"

[dependencies.num-format]
version = "0.4.4"

[dependencies.num-traits]
version = "0.2.19"

[dependencies.num_cpus]
version = "1.17.0"

[dependencies.pdfium-render]
version = "0.8.37"
features = [
    "thread_safe",
    "sync",
]
optional = true

[dependencies.rand]
version = "0.10.0"

[dependencies.rayon]
version = "1.11.0"

[dependencies.regex]
version = "1.12.3"

[dependencies.regex-syntax]
version = "0.8.10"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"
features = ["preserve_order"]

[dependencies.sha2]
version = "0.10.9"

[dependencies.smallvec]
version = "1.15.1"

[dependencies.snap]
version = "1.1.1"

[dependencies.snowball_stemmers_rs]
version = "1.0.0"

[dependencies.symspell_complete_rs]
version = "0.0.2"

[dependencies.tokio]
version = "1.50.0"
features = ["full"]

[dependencies.tokio-test]
version = "0.4.4"

[dependencies.unicode-normalization]
version = "0.1.25"

[dependencies.url]
version = "2.5.8"

[dependencies.utoipa]
version = "5.4.0"
features = [
    "preserve_order",
    "preserve_path_order",
    "yaml",
    "indexmap",
]

[dependencies.walkdir]
version = "2.5.0"

[dependencies.zstd]
version = "0.13.3"

[target.'cfg(all(target_feature = "aes", target_feature = "sse2"))'.dependencies.gxhash]
version = "3.5.0"
features = ["deterministic"]
optional = true

[target.'cfg(target_os = "windows")'.dependencies.winapi]
version = "0.3.9"
features = ["winbase"]

[lints.rust]
missing_docs = "warn"
trivial_casts = "warn"
trivial_numeric_casts = "warn"
unused_import_braces = "warn"
unused_qualifications = "warn"

[profile.release]
opt-level = 3
lto = true
debug = 0
debug-assertions = false
panic = "abort"
overflow-checks = false
strip = "debuginfo"
